@extends('admin.master')

@section('top')
	<div class="top-breadcrumb pull-left">
		<h5>菜单管理</h5>
	</div>
@endsection

@section('ordersearch')
<div class="order-search mb-10">
	<div class="top-btn-group">
		<a href="{{ route('admin.menu.create') }}" class="btn btn-primary">
			<i class="iconfont icon-plus"></i><span>添加</span>
		</a>
	</div>
</div>
@endsection

@section('content')
<div class="gridSection form-ajax">
	<table class="table table-hover table-list">
		<thead>
			<tr>
				<th>菜单名称</th>
				<th class="text-center">操作</th>
			</tr>
		</thead>
		<tbody>
			@if (!$data->isEmpty())
				@each('admin.common.menu_index_each', $data, 'value')
			@endif
		</tbody>
	</table>
	@if ($data->isEmpty())
	<div class="simple-none-data text-center box-border">
		<i class="fa fa-exclamation-circle text-size-20 text-muted" style="vertical-align: middle"></i> 
		<span class="text-size-14 inline-block ml5">没有查询到符合条件的记录</span>
	</div>
	@endif
</div>
@endsection

@section('notice')
<!-- Modal -->
<div class="modal fade" id="dialog" tabindex="-1" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="true"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">提示</h4>
        </div>
        <div class="modal-body clearfix">
            <div class='col-sm-1 text-center'><i class='iconfont icon-zhuyi'></i></div>
            <div class='col-sm-11 breakall'><p>删除后您将无法恢复，请谨慎操作</p><p class='text-muted'>您确认要删除吗？</p></div>
        </div>
        <div class="modal-footer">
        	<button type="button" class="btn btn-primary btn-modal-ok">确定</button>
        	<button class="btn btn-default btn-modal-cancel btn-modal-close" data-dismiss="modal">取消</button>
        </div>
    </div>
  </div>
</div>
<!-- Modal End -->
<!-- Modal -->
<div class="modal fade" id="dialog-tip" tabindex="-1" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="true"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">提示</h4>
        </div>
        <div class="modal-body clearfix">
			<div class='col-sm-1 text-center'><i class='fa fa-times-circle text-size-32 text-warning'></i></div>
			<div class='col-sm-11 breakall'><p class="delete-error">删除失败！</p></div>
		</div>	
        <div class="modal-footer">
			<button class="btn btn-primary btn-modal-close" data-dismiss="modal">确定</button>
        </div>
    </div>
  </div>
</div>
<!-- Modal End -->
<!-- Modal -->
<div class="modal fade" id="dialog-common" tabindex="-1" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="true"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">提示</h4>
        </div>
        <div class="modal-body clearfix">
            <div class='col-sm-1 text-center'><i class='iconfont icon-zhuyi'></i></div>
            <div class='col-sm-11 breakall'><p class="common">请选择要删除的内容!</p></div>
        </div>
        <div class="modal-footer">
        	<button type="button" class="btn btn-primary btn-modal-common">确定</button>
        </div>
    </div>
  </div>
</div>
<!-- Modal End -->
@endsection

@section('foot')
<script type="text/javascript">
// 删除
$('.delete-item').on('click', function(e) {
	var deleteAction = location.pathname;
	var id = $(this).data('id');
	url = deleteAction + '/' + id;

	$('#dialog').modal('show');
	return false;		
});

//批量删除
$('.delet-select').on('click', function(){	
	var ids = [];
	$('.id:checked').each(function(){
		ids.push(this.value);
	});
	ids = ids.join('-');

	if (!ids) {
		$('.common').text('请选择要删除的内容!');
		$('#dialog-common').modal('show');
		return false;
	}
	url = location.pathname + '/' + ids;

	$('#dialog').modal('show');
	return false;	
});

$('body').on('click', '.btn-modal-common', function(){
	$(this).parents('#dialog-common').modal('hide');
});

$('body').on('click', '.btn-modal-ok', function() {
	$(this).parents('#dialog').modal('hide');
	$.ajax({
		type: "DELETE",
		url: url,
		success: function(data) {
			if (data.code == 200) {
				location.reload();
			} else {
				$('.delete-error').html(data.error);
				$('#dialog-tip').modal('show');
			}
		}
	});
});
</script>
@endsection